#
# spec file for package arphic-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           arphic-fonts
Version:        20001125
Release:        778.2
Summary:        Chinese TrueType Fonts (Contains Only the License Text)
License:        Arphic-1999
Group:          System/X11/Fonts
URL:            https://www.arphic.com.tw/
# ttf files have been downloaded from debian.
Source0:        ttf-arphic.tar.bz2
Source1:        fonts.scale.bkai00mp
Source2:        fonts.scale.bsmi00lp
Source3:        fonts.scale.gkai00mp
Source4:        fonts.scale.gbsn00lp
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       ttf-arphic = %{version}
Obsoletes:      ttf-arphic <= 20001125
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Chinese TrueType fonts by Arphic Technology. This package contains only
the license texts. The fonts themselves are in the sub-packages
arphic-bkai00mp-fonts, arphic-bsmi00lp-fonts, arphic-gkai00mp-fonts, and
arphic-gbsn00lp-fonts.

%package -n arphic-bkai00mp-fonts
Summary:        AR PL KaitiM Big5 Chinese TrueType font by Arphic Technology
Group:          System/X11/Fonts
Requires:       arphic-fonts
Provides:       ttf-arphic-bkai00mp = %{version}
Obsoletes:      ttf-arphic-bkai00mp <= 20001125

%description -n arphic-bkai00mp-fonts
AR PL KaitiM Big5 is a high quality Chinese TrueType font
(bkai00mp.ttf) generously provided by Arphic Technology to the Free
Software community under the Arphic Public License.

%package -n arphic-bsmi00lp-fonts
Summary:        AR PL Mingti2L Big5 Chinese TrueType font by Arphic Technology
Group:          System/X11/Fonts
Requires:       arphic-fonts
Provides:       ttf-arphic-bsmi00lp = %{version}
Obsoletes:      ttf-arphic-bsmi00lp <= 20001125

%description -n arphic-bsmi00lp-fonts
AR PL Mingti2L Big5 is a high quality Chinese TrueType font
(bsmi00lp.ttf) generously provided by Arphic Technology to the Free
Software community under the Arphic Public License.

%package -n arphic-gkai00mp-fonts
Summary:        AR PL KaitiM GB Chinese TrueType font by Arphic Technology
Group:          System/X11/Fonts
Requires:       arphic-fonts
Provides:       ttf-arphic-gkai00mp = %{version}
Obsoletes:      ttf-arphic-gkai00mp <= 20001125

%description -n arphic-gkai00mp-fonts
AR PL KaitiM GB is a high quality Chinese TrueType font (gkai00mp.ttf)
generously provided by Arphic Technology to the Free Software community
under the Arphic Public License.

%package -n arphic-gbsn00lp-fonts
Summary:        AR PL SungtiL GB Chinese TrueType font by Arphic Technology
Group:          System/X11/Fonts
Requires:       arphic-fonts
Provides:       ttf-arphic-gbsn00lp = %{version}
Obsoletes:      ttf-arphic-gbsn00lp <= 20001125

%description -n arphic-gbsn00lp-fonts
AR PL SungtiL GB is a high quality Chinese TrueType font (gbsn00lp.ttf)
generously provided by Arphic Technology to the Free Software community
under the Arphic Public License.

%prep
%setup -n ttf-arphic
cp $RPM_SOURCE_DIR/fonts.scale* .

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}/
install -c -m 644 fonts.scale.* %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets -c -n arphic-bkai00mp-fonts

%reconfigure_fonts_scriptlets -c -n arphic-bsmi00lp-fonts

%reconfigure_fonts_scriptlets -c -n arphic-gkai00mp-fonts

%reconfigure_fonts_scriptlets -c -n arphic-gbsn00lp-fonts

%files
%defattr(-, root,root)
%doc ./license

%files -n arphic-bkai00mp-fonts
%defattr(-, root,root)
%dir %{_ttfontsdir}/
%{_ttfontsdir}/bkai00mp.ttf
%config %{_ttfontsdir}/fonts.scale.bkai00mp

%files -n arphic-bsmi00lp-fonts
%defattr(-, root,root)
%dir %{_ttfontsdir}/
%{_ttfontsdir}/bsmi00lp.ttf
%config %{_ttfontsdir}/fonts.scale.bsmi00lp

%files -n arphic-gkai00mp-fonts
%defattr(-, root,root)
%dir %{_ttfontsdir}/
%{_ttfontsdir}/gkai00mp.ttf
%config %{_ttfontsdir}/fonts.scale.gkai00mp

%files -n arphic-gbsn00lp-fonts
%defattr(-, root,root)
%dir %{_ttfontsdir}/
%{_ttfontsdir}/gbsn00lp.ttf
%config %{_ttfontsdir}/fonts.scale.gbsn00lp

%changelog
* Wed Jan 18 2023 Gordon Leung <pirateclip@protonmail.com>
- amend license SUSE-Arphic to SPDX's Arphic-1999
* Sun Jan 20 2013 swyear@gmail.com
- remove Provides: locale(*) and Provides: scalable-font-*,
  no more need these fonts in these locale,
  these fonts can be replaced by arphic-uming(-ukai).
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 29 2012 pgajdos@suse.com
- SUSE-Arphic license
* Fri Jan 13 2012 toms@opensuse.org
- Fixed some small SPEC file issues:
  * Fixed typo in %%{version}
  * Limited summary to make rpmlint happy
* Thu Dec 22 2011 tiwai@suse.de
- Renamed ttf-arphic -> arphic-fonts,
  ttf-arphic-bkai00mp -> arphic-bkai00mp-fonts,
  ttf-arphic-bsmi00lp -> arphic-bsmi00lp-fonts,
  ttf-arphic-gkai00mp -> arphic-gkai00mp-fonts, and
  ttf-arphic-gbsn00lp -> arphic-gbsn00lp-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Tue Aug  8 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
* Wed Mar 29 2006 mfabian@suse.de
- add zh_SG to the provides for zh_CN and zh_HK to the provides
  for zh_TW.
* Tue Feb 28 2006 zsu@suse.de
- add Provides: locale(zh_CN) or locale(zh_TW) to each sub package.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-zh-{CN,TW}"
  to the appropriate sub-packages.
* Fri Mar 19 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.ghostscript-cjk in %%post and %%postun
* Fri Feb 27 2004 mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Mon Feb 23 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/truetype/ to file lists
* Thu Mar  7 2002 mfabian@suse.de
- make iso10646 entries in fonts.scale proportional '-c-' -> '-p-'
* Thu May  3 2001 mfabian@suse.de
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
- improve fonts.scale.*
* Thu Nov 30 2000 mfabian@suse.de
- improved %%post and %%postun scripts. The previous version
  failed when this package was installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Mon Nov 27 2000 mfabian@suse.de
- mark fonts.scale* files as %%config files
* Mon Nov 27 2000 mfabian@suse.de
- removed workaround in .spec file to prevent %%{?suse_check}
  from gzipping the fonts.scale.xtt-fonts file
  %%{?suse_check} works correctly now, this workaround is no longer
  needed.
- edited missing .pac files
* Sat Nov 25 2000 mfabian@suse.de
- new package: ttf-arphic
